#moments {
  background: linear-gradient(#e0050b 0%, #460203 100%);
}

#moments .banner {
  height: 51vw;
  min-height: calc(100vh - 168px);
  background-size: auto 100%,  100% auto;
  background-repeat: no-repeat;
  background-position: 40% bottom,  center 110%;
  background-image: url("../images/home/back_takis.png"), url("../images/recipe/mesa.png");
}

#moments img[alt='Nissin SOS'] {
  width: 17.5%;
  position: absolute;
  top: 3.5%;
  left: 1.75%;
}

#moments .title {
  width: -webkit-max-content;
  width: -moz-max-content;
  width: max-content;
  position: absolute;
  top: 4.65%;
  left: 37%;
  font-size: 2.77rem;
}

#moments .title span:last-child {
  font-size: 3.66rem;
}

#moments .title span:first-child {
  margin-left: -15%;
}

#moments .info .dialog {
  width: 19.85vw;
  min-width: 185px;
  min-height: 185px;
  text-align: center;
  display: block;
  position: absolute;
  top: 5%;
  right: 5%;
  transition-duration: .25s;
  transition-property: transform;
}

#moments .info .dialog img {
  width: 100%;
}

#moments .info .dialog .titles {
  width: 100%;
  padding: 0 17.5% 0 12.5%;
  line-height: 1.25;
  display: block;
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
}

#moments .info .dialog .titles span::before, #moments .info .dialog .titles span::after {
  margin: auto;
  right: 0;
}

#moments .info .dialog:nth-child(1) {
  top: 0%;
  right: 17.25%;
}

#moments .info .dialog:nth-child(1) .titles {
  font-size: 2.4rem;
  line-height: 1.1;
}

#moments .info .dialog:nth-child(1) .titles span:first-child {
  font-size: 1.7rem;
}

#moments .info .dialog:nth-child(1) .titles span:last-child {
  width: 75%;
  margin-left: auto;
  margin-right: 5%;
  font-size: 1.85rem;
}

#moments .info .dialog:nth-child(2) {
  top: 26.5%;
  right: 34.5%;
}

#moments .info .dialog:nth-child(2) .titles {
  font-size: 1.6rem;
}

#moments .info .dialog:nth-child(2) .titles span:last-child {
  font-size: 2rem;
}

#moments .info .dialog:nth-child(3) {
  top: 17%;
  right: 0.25%;
}

#moments .info .dialog:nth-child(3) .titles {
  font-size: 2.5rem;
  line-height: 1.1;
}

#moments .info .dialog:nth-child(3) .titles span:first-child {
  width: 75%;
  font-size: 2.1rem;
}

#moments .info .dialog:nth-child(3) .titles span:nth-child(2)::before, #moments .info .dialog:nth-child(3) .titles span:nth-child(2)::after {
  right: auto;
  left: 5%;
}

#moments .info .dialog:nth-child(3) .titles span:last-child {
  font-size: 2.15rem;
}

#moments .info .dialog:nth-child(4) {
  top: 31.5%;
  right: 17.25%;
}

#moments .info .dialog:nth-child(4) .titles {
  font-size: 2.35rem;
}

#moments .info .dialog:nth-child(5) {
  top: 63%;
  right: 24.5%;
}

#moments .info .dialog:nth-child(5) .titles {
  font-size: 2.2rem;
}

#moments .info .dialog:nth-child(5) .titles span:last-child {
  font-size: 3rem;
}

#moments .info .dialog:nth-child(6) {
  top: 60%;
  right: 4.5%;
}

#moments .info .dialog:nth-child(6) .titles {
  font-size: 1.75rem;
}

#moments .info .dialog:nth-child(6) .titles span:last-child {
  font-size: 2.5rem;
}

@media (hover: hover) {
  #moments .info .dialog:hover {
    transform: scale(1.05);
  }
}

@media screen and (max-width: 1024px) {
  #moments .banner {
    height: 60vw;
    background-size: 110% auto, 100% auto;
    background-position: right bottom, center 105%;
  }
  #moments .title {
    left: 30%;
  }
  #moments .info .dialog {
    width: 24vw;
  }
  #moments .info .dialog:nth-child(1) {
    top: 1%;
    right: 17.5%;
  }
  #moments .info .dialog:nth-child(2) {
    top: 20%;
    right: 38.5%;
  }
  #moments .info .dialog:nth-child(3) {
    top: 24%;
    right: 0;
  }
  #moments .info .dialog:nth-child(4) {
    right: 20%;
  }
  #moments .info .dialog:nth-child(5) {
    right: 27.5%;
  }
  #moments .info .dialog:nth-child(6) {
    right: 6%;
  }
}

@media screen and (max-width: 950px) {
  #moments .banner {
    min-height: calc(100vh - 150px);
  }
}

@media screen and (max-width: 1024px) and (orientation: portrait) {
  #moments .banner {
    background-size: 135% auto, 130% auto;
    background-position: 42.5% bottom, center 105%;
  }
  #moments img[alt='Nissin SOS'] {
    width: 22.5%;
    position: absolute;
    top: 8.5%;
    left: 1.75%;
  }
  #moments .info .dialog {
    width: 27.5vw;
  }
  #moments .info .dialog:nth-child(2) {
    top: 20%;
    right: 45.5%;
  }
  #moments .info .dialog:nth-child(4) {
    top: 35%;
    right: 23.5%;
  }
  #moments .info .dialog:nth-child(5) {
    right: 30%;
  }
  #moments .info .dialog:nth-child(6) {
    top: 57.4%;
    right: 3%;
  }
}

@media screen and (max-width: 768px) {
  #moments {
    padding-top: 5%;
    padding-bottom: 50%;
  }
  #moments .banner {
    width: 100%;
    height: 100%;
    min-height: auto;
    position: absolute;
    bottom: 0;
    background-size: 100% auto, auto 10.5%;
    background-position: center 100%, center 101.5%;
    background-image: url(../images/recipe/takis-bg.png), url(../images/recipe/mesa.png);
  }
  #moments img[alt='Nissin SOS'] {
    width: 23.5%;
    min-width: 172px;
    margin: 1% 10.5% 1% 5%;
    display: inline-block;
    position: relative;
    top: 0;
    left: 0;
  }
  #moments .title {
    font-size: 2rem;
    display: inline-block;
    vertical-align: middle;
    position: relative;
    top: 0;
    left: 0;
  }
  #moments .title span:last-child {
    font-size: 2.6425rem;
  }
  #moments .info {
    margin-top: 5%;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    position: relative;
  }
  #moments .info .dialog {
    width: 40vw;
    margin: -2.5% 0;
    position: relative;
    top: auto !important;
    right: auto !important;
  }
}

@media screen and (max-width: 550px) {
  #moments {
    padding-bottom: 77.5%;
  }
  #moments .banner {
    background-size: 100% auto, auto 12.5%;
    background-position: center 100%, 17.5% 101.5%;
  }
  #moments .title, #moments img[alt='Nissin SOS'] {
    display: block;
  }
  #moments img[alt='Nissin SOS'] {
    width: 90%;
    max-width: 172px;
    margin-right: auto;
    margin-left: auto;
  }
  #moments .title {
    margin: 5% auto;
    font-size: 2.75rem;
  }
  #moments .title span:last-child {
    font-size: 3.8rem;
  }
  #moments .info .dialog {
    width: 52.5vw;
    margin: -2.5% -3%;
    min-width: 160px;
    min-height: 160px;
  }
}
